#
# spec file for package python-sklearn-pandas
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-sklearn-pandas
Version:        1.8.0
Release:        bp154.1.22
Summary:        Pandas integration with sklearn
License:        Zlib AND BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/paulgb/sklearn-pandas
Source:         https://files.pythonhosted.org/packages/source/s/sklearn-pandas/sklearn-pandas-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-numpy >= 1.6.1
Requires:       python-pandas >= 0.11.0
Requires:       python-scikit-learn >= 0.15.0
Requires:       python-scipy >= 0.14
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module numpy >= 1.6.1}
BuildRequires:  %{python_module pandas >= 0.11.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module scikit-learn >= 0.15.0}
BuildRequires:  %{python_module scipy >= 0.14}
# /SECTION
%python_subpackages

%description
This module provides a bridge between Scikit-Learn's machine learning
methods and pandas-style Data Frames.

%prep
%setup -q -n sklearn-pandas-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/sklearn_pandas*

%changelog
* Mon Jan  6 2020 Todd R <toddrme2178@gmail.com>
- Drop python2 subpackage due to dependencies dropping python2.
* Sat Dec  8 2018 Arun Persaud <arun@gmx.de>
- update to version 1.8.0:
  * Add FunctionTransformer class (#117).
  * Fix column names derivation for dataframes with multi-index or
    non-string columns (#166).
  * Change behaviour of DataFrameMapper's fit_transform method to
    invoke each underlying transformers' native fit_transform if
    implemented. (#150)
* Sun Sep  2 2018 arun@gmx.de
- specfile:
  * remove devel from noarch
  * be more specific in %%files section
- update to version 1.7.0:
  * Fix issues with unicode names in get_names (#160).
  * Update to build using numpy==1.14 and python==3.6 (#154).
  * Add strategy and fill_value parameters to CategoricalImputer to
    allow imputing with values other than the mode (#144), (#161).
  * Preserve input data types when no transform is supplied (#138).
* Thu May 24 2018 toddrme2178@gmail.com
- spec file cleanups
* Thu Nov  9 2017 arun@gmx.de
- update to version 1.6.0:
  * Add column name to exception during fit/transform (#110).
  * Add gen_feature helper function to help generating the same
    transformation for multiple columns (#126).
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
